Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jdt.debug.core
Interface IJavaWatchpoint

All Superinterfaces:
  IAdaptable, IBreakpoint, IJavaBreakpoint, IJavaLineBreakpoint, ILineBreakpoint

public interface IJavaWatchpoint
extends IJavaLineBreakpoint

A breakpoint on a field. If a watchpoint is an access watchpoint, it will suspend execution when its field is accessed. If a watchpoint is a modification watchpoint, it will suspend execution when its field is modified.

Clients are not intended to implement this interface.

Since:
  2.0

Field Summary

Fields inherited from interface org.eclipse.jdt.debug.core.IJavaBreakpoint
`SUSPEND_THREAD, SUSPEND_VM`

Fields inherited from interface org.eclipse.debug.core.model.IBreakpoint
`BREAKPOINT_MARKER, ENABLED, ID, LINE_BREAKPOINT_MARKER, PERSISTED, REGISTERED`

Method Summary
`String` | `getFieldName()` Returns the name of the field associated with this watchpoint
`boolean` | `isAccess()` Returns whether this watchpoint is an access watchpoint
`boolean` | `isAccessSuspend(IDebugTarget target)` Returns whether this breakpoint last suspended in this target due to an access (`true`) or modification (`false`).
`boolean` | `isModification()` Returns whether this watchpoint is a modification watchpoint
`void` | `setAccess(boolean access)` Sets whether this breakpoint will suspend execution when its associated field is accessed.
`void` | `setModification(boolean modification)` Sets whether this breakpoint will suspend execution when its associated field is modified.

Methods inherited from interface org.eclipse.jdt.debug.core.IJavaLineBreakpoint
`getCondition, isConditionEnabled, isConditionSuspendOnTrue, setCondition, setConditionEnabled, setConditionSuspendOnTrue, supportsCondition`

Methods inherited from interface org.eclipse.jdt.debug.core.IJavaBreakpoint
`addInstanceFilter, getHitCount, getInstanceFilters, getSuspendPolicy, getThreadFilter, getThreadFilters, getTypeName, isInstalled, removeInstanceFilter, removeThreadFilter, setHitCount, setSuspendPolicy, setThreadFilter, supportsInstanceFilters, supportsThreadFilters`

Methods inherited from interface org.eclipse.debug.core.model.IBreakpoint
`delete, getMarker, getModelIdentifier, isEnabled, isPersisted, isRegistered, setEnabled, setMarker, setPersisted, setRegistered`

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Methods inherited from interface org.eclipse.debug.core.model.ILineBreakpoint
`getCharEnd, getCharStart, getLineNumber`

Method Detail

### isAccess

    public boolean isAccess()
                     throws CoreException

  Returns whether this watchpoint is an access watchpoint

  Returns:
    whether this is an access watchpoint
  Throws:
    `CoreException` - if unable to access the property on this breakpoint's underlying marker

### setAccess

    public void setAccess(boolean access)
                   throws CoreException

  Sets whether this breakpoint will suspend execution when its associated field is accessed. If true and this watchpoint is disabled, this watchpoint is automatically enabled. If both access and modification are false, this watchpoint is automatically disabled.

  Parameters:
    `access` - whether to suspend on field access
  Throws:
    `CoreException` - if unable to set the property on this breakpoint's underlying marker

### isModification

    public boolean isModification()
                           throws CoreException

  Returns whether this watchpoint is a modification watchpoint

  Returns:
    whether this is a modification watchpoint
  Throws:
    `CoreException` - if unable to access the property on this breakpoint's underlying marker

### setModification

    public void setModification(boolean modification)
                         throws CoreException

  Sets whether this breakpoint will suspend execution when its associated field is modified. If true and this watchpoint is disabled, this watchpoint is automatically enabled. If both access and modification are false, this watchpoint is automatically disabled.

  Parameters:
    `modification` - whether to suspend on field modification
  Throws:
    `CoreException` - if unable to set the property on this breakpoint's underlying marker

### getFieldName

    public String getFieldName()
                        throws CoreException

  Returns the name of the field associated with this watchpoint

  Returns:
    field the name of the field on which this watchpoint is installed
  Throws:
    `CoreException` - if unable to access the property on this breakpoint's underlying marker

### isAccessSuspend

    public boolean isAccessSuspend(IDebugTarget target)

  Returns whether this breakpoint last suspended in this target due to an access (`true`) or modification (`false`).

  Returns:
    `true` if this watchpoint last suspended the given target due to a field access; `false` if this watchpoint last suspended the given target due to a modification access or if this watchpoint hasn't suspended the given target.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) IBM Corp. and others 2000, 2004. All Rights Reserved.